System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Collections.ICollection

The class implements an interface to provide a general mechanism for handling collections of cookies. For example, this is useful in the case where an application is designed to store cookies for multiple servers.

Provides a collection container for instances of the class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The following table shows initial property values for an instance of .

  Property

  Default

  true

  0

  false

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Adds a to a .

  The to be added to a .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  Each is read from the parameter and added to the current instance.

  Adds the contents of a to the current instance.

  The to be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The parameter must be one-dimensional with zero-based indexing.

  Copies the elements of a to an instance of the class, starting at a particular index.

  The target to which the will be copied. The zero-based index in the target where copying begins.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The parameter must be one-dimensional with zero-based indexing.

  Copies the elements of this to a array starting at the specified index of the target array.

  The target array to which the will be copied. The zero-based index in the target where copying begins.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added: an object of type 'int' To be added

  Gets the number of cookies contained in a .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.IEnumerator

  You should use an only to read data in the collection. Enumerators cannot be used to modify the underlying collection. The enumerator does not have exclusive access to the collection.

  When an enumerator is created, it takes a snapshot of the current state of the collection. If changes are made to the collection, such as adding, modifying, or deleting elements, this snapshot gets out of sync and the enumerator throws an . Two enumerators created from the same collection at the same time can produce different snapshots of the collection.

  Gets an enumerator that can iterate through a .

  An instance of an implementation of an interface that can iterate through a .

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool' To be added

  Gets a value that indicates whether a is read-only.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool' To be added

  Gets a value that indicates whether access to a is thread safe.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Cookie `` To be added. To be added. To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Cookie `` To be added. To be added. To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object To be added: an object of type 'object'

  The property returns an object that can be used to synchronize access to the .

  Gets an object to synchronize access to the .